com.digi.xbee.api.models

## Enum XBeeDiscoveryStatus

- java.lang.Object
- - java.lang.Enum<XBeeDiscoveryStatus>
  - - com.digi.xbee.api.models.XBeeDiscoveryStatus

- All Implemented Interfaces:
    Serializable, Comparable<XBeeDiscoveryStatus>

      public enum XBeeDiscoveryStatus
      extends Enum<XBeeDiscoveryStatus>

  Enumerates all the possible states of the discovery. Discovery status field is part of the `TransmitStatusPacket` indicating the status of the discovery when a packet is sent.
  See Also:
    `TransmitStatusPacket`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISCOVERY_STATUS_ADDRESS_AND_ROUTE`
    `DISCOVERY_STATUS_ADDRESS_DISCOVERY`
    `DISCOVERY_STATUS_EXTENDED_TIMEOUT_DISCOVERY`
    `DISCOVERY_STATUS_NO_DISCOVERY_OVERHEAD`
    `DISCOVERY_STATUS_ROUTE_DISCOVERY`
    `DISCOVERY_STATUS_UNKNOWN`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XBeeDiscoveryStatus` | `get(int id)` Returns the `XBeeDiscoveryStatus` associated to the given ID.
    `String` | `getDescription()` Returns the discovery status description.
    `int` | `getId()` Returns the discovery status ID.
    `String` | `toString()`
    `static XBeeDiscoveryStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static XBeeDiscoveryStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISCOVERY_STATUS_ADDRESS_AND_ROUTE

          public static final XBeeDiscoveryStatus DISCOVERY_STATUS_ADDRESS_AND_ROUTE

    - #### DISCOVERY_STATUS_ADDRESS_DISCOVERY

          public static final XBeeDiscoveryStatus DISCOVERY_STATUS_ADDRESS_DISCOVERY

    - #### DISCOVERY_STATUS_EXTENDED_TIMEOUT_DISCOVERY

          public static final XBeeDiscoveryStatus DISCOVERY_STATUS_EXTENDED_TIMEOUT_DISCOVERY

    - #### DISCOVERY_STATUS_NO_DISCOVERY_OVERHEAD

          public static final XBeeDiscoveryStatus DISCOVERY_STATUS_NO_DISCOVERY_OVERHEAD

    - #### DISCOVERY_STATUS_ROUTE_DISCOVERY

          public static final XBeeDiscoveryStatus DISCOVERY_STATUS_ROUTE_DISCOVERY

    - #### DISCOVERY_STATUS_UNKNOWN

          public static final XBeeDiscoveryStatus DISCOVERY_STATUS_UNKNOWN

  - ### Method Detail

    - #### get

          public static XBeeDiscoveryStatus get(int id)

      Returns the `XBeeDiscoveryStatus` associated to the given ID.
      Parameters:
        `id` - ID of the `XBeeDiscoveryStatus` to retrieve.
      Returns:
        The `XBeeDiscoveryStatus` associated with the given ID.

    - #### getDescription

          public String getDescription()

      Returns the discovery status description.
      Returns:
        Discovery status description.

    - #### getId

          public int getId()

      Returns the discovery status ID.
      Returns:
        The discovery status ID.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<XBeeDiscoveryStatus>`

    - #### valueOf

          public static XBeeDiscoveryStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static XBeeDiscoveryStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XBeeDiscoveryStatus c : XBeeDiscoveryStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

© Copyright 2014–2014 Digi International Inc. All rights reserved.